{
  inputs,
  getFlakePkg,
  getFlakePkg',
  ...
}:
{
  imports = [
    inputs.angrr.nixosModules.angrr
  ];

  nix.gc = {
    automatic = true;
    dates = "weekly";
    persistent = true;
    options = "--delete-older-than 14d";
  };

  services.angrr = {
    enable = true;
    enableNixGcIntegration = true;
    period = "2weeks";
    package = getFlakePkg inputs.angrr;
  };
  programs.direnv.angrr.package = getFlakePkg' inputs.angrr "angrr-direnv";

}
